## ros-lunar-nav-pcontroller 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nav_pcontroller)

find_package(catkin REQUIRED COMPONENTS roscpp roslib tf visualization_msgs sensor_msgs
  geometry_msgs move_base_msgs actionlib)

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
  CATKIN_DEPENDS roscpp roslib tf visualization_msgs sensor_msgs geometry_msgs move_base_msgs actionlib
)

add_executable(${PROJECT_NAME} src/nav_pcontroller.cc src/BaseDistance.cc)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(speed_filter src/speed_filter.cc src/BaseDistance.cc)
target_link_libraries(speed_filter ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME} speed_filter
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES launch/pr2_nav_pcontroller.launch
              launch/boxy_nav_pcontroller.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-lunar-nav-pcontroller (0.1.4-0xenial) xenial; urgency=high

  * Adapted the maintainer
  * Contributors: Alexis Maldonado

 -- Alexis Maldonado <amaldo@cs.uni-bremen.de>  Thu, 27 Jul 2017 00:00:00 -0000

ros-lunar-nav-pcontroller (0.1.3-0xenial) xenial; urgency=high

  * Adapt example for the boxy robot using two different laser topics
  * Add a watchdog to the laser topics (important for safety)
  * Update CMakeLists.txt
  * got rid of example.launch and added install rule for boxy launch
  * make visualization marker topic local
  * pr2 specific launch file derived from the example launch file
  * added install target for the example launch file
  * Contributors: Alexis Maldonado, Gayane Kazhoyan, Gheorghe Lisca

 -- Alexis Maldonado <amaldo@cs.uni-bremen.de>  Thu, 27 Jul 2017 00:00:00 -0000

ros-lunar-nav-pcontroller (0.1.2-0xenial) xenial; urgency=high

  * added autogenerated API documentation (rosdoc_lite)
  * cleaned up CMakeLists.txt
  * separated class definitions into their own headers:
    the declaration and implementation were in the same cc files for speed_filter and nav_pcontroller
  * moved back the launch file:
    it's not thaat PR2 specific, and I called it example.launch, so should be fine...
  * deleted old changelog, it was weird
  * pr2-specific launch file is now an example launch file
  * even more docs
  * more documentation
  * doc string for BaseDistance class
  * moved around function declarations and definitions
    to make them more organized
  * doc strings for BaseDistance
  * ignore qtcreator files
  * updated dependencies in package.xml
  * Merge pull request #2 <https://github.com/code-iai/nav_pcontroller/issues/2> from jir-tobi/master
    bugfix: added missing catkin include directories
  * bugfix: added missing catkin include directories
  * navigation goals reached faster
    - a tollerance of 0.03cm (xy_tolerance) makes the action of nav_pcontroller to finish faster.
  * nav_pcontroller's parameters
    - read from ROS parameter server each time a new navigation goal is received.
  * pr2_nav_pcontroller.launch - for using the nav_pcontroller with the PR2 robot.
    - taken from the ond IAS repository, more precisely from the pr2_nav_pcontroller (rosbuild) package.
  * Contributors: Gayane Kazhoyan, Georg Bartels, Gheorghe Lisca, Tobias Fromm

 -- Alexis Maldonado <amaldo@cs.uni-bremen.de>  Mon, 18 Jul 2016 00:00:00 -0000

ros-lunar-nav-pcontroller (0.1.1-0xenial) xenial; urgency=high

  * Added Changelog
  * Catkinization and getting rid of JLO (in order to release it)
    The JLO-version is tagged as "JLO-controlled".
  * Added .gitignore
  * Initial commit
  * Contributors: Jan Winkler

 -- Alexis Maldonado <amaldo@cs.uni-bremen.de>  Mon, 29 Jun 2015 00:00:00 -0000

=== debian/control ===
Source: ros-lunar-nav-pcontroller
Section: misc
Priority: extra
Maintainer: Alexis Maldonado <amaldo@cs.uni-bremen.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-move-base-msgs, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-visualization-msgs
Homepage: https://www.github.com/code-iai/nav_pcontroller
Standards-Version: 3.9.2

Package: ros-lunar-nav-pcontroller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-geometry-msgs, ros-lunar-move-base-msgs, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-visualization-msgs
Description: Simple P-Controller for a holonomic robot base

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-nav-pcontroller//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
